--[[ Copyright (c) 2017 Optera
 * Part of Loader Redux
 *
 * See LICENSE.md in the project directory for license information.
--]]

function make_loader_item(name, subgroup, order)
	return{
		type="item",
		name=name,
		icon="__MoreLoaderRedux__/graphics/icon/"..name..".png",
    		icon_size = 32,
		subgroup=subgroup,
		order=order,
		place_result=name,
		stack_size=50
	}
end

if mods["UltimateBelts_Owoshima_And_Pankeko-Mod"] then
 data:extend({
    make_loader_item("loader","belt","d-a"),
    make_loader_item("fast-loader","belt","d-b"),
    make_loader_item("express-loader","belt","d-c"),
    make_loader_item("ultra-fast-loader","belt","d-d"),
    make_loader_item("extreme-fast-loader","belt","d-e"),
    make_loader_item("ultra-express-loader","belt","d-f"),
    make_loader_item("extreme-express-loader","belt","d-g"),
    make_loader_item("ultimate-loader","belt","d-h"),
  })
elseif mods["boblogistics"] and mods["UltimateBelts_Owoshima_And_Pankeko-Mod"] then
data:extend({
    make_loader_item("ultra-fast-loader","bob-logistic-tier-5","d-g"),
    make_loader_item("extreme-fast-loader","bob-logistic-tier-5","d-h"),
    make_loader_item("ultra-express-loader","bob-logistic-tier-5","d-i"),
    make_loader_item("extreme-express-loader","bob-logistic-tier-5","d-j"),
    make_loader_item("ultimate-loader","bob-logistic-tier-5","d-k")
  })
end